Bug 1413715 - openstack-watcher blocked by python-monascaclient not being packaged
Summary: openstack-watcher blocked by python-monascaclient not being packaged
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: distribution
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Haïkel Guémar
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks: RDO-OCATA
TreeView+ depends on / blocked
 
Reported: 2017-01-16 19:02 UTC by David Moreau Simard
Modified: 2017-02-07 13:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 13:30:54 UTC


Attachments (Terms of Use)

Description David Moreau Simard 2017-01-16 19:02:48 UTC
Watcher introduced a dependency on python-monascaclient in this commit:
https://review.openstack.org/#/c/348891/

This effectively breaks Watcher - it can no longer be used.
We need to package python-monascaclient and add a Requires on Watcher.

Comment 1 Emilien Macchi 2017-01-16 19:19:55 UTC
I created a rough spec file: http://paste.fedoraproject.org/528451/94326148/
Feel free to re-use it. I haven't test it and I re-use an existing spec file, and changed the dependencies for monascaclient.

Comment 2 Javier Peña 2017-01-18 11:20:24 UTC
(In reply to Emilien Macchi from comment #1)
> I created a rough spec file: http://paste.fedoraproject.org/528451/94326148/
> Feel free to re-use it. I haven't test it and I re-use an existing spec
> file, and changed the dependencies for monascaclient.

Since it's a client, we need to take python-monascaclient through the Fedora review process. Emilien, would you like to do it? If not, I can take care of it.

Comment 3 Javier Peña 2017-01-18 17:29:49 UTC
I have created a Fedora review: https://bugzilla.redhat.com/show_bug.cgi?id=1414516

Comment 4 Alan Pevec 2017-01-19 00:07:34 UTC
To me, monascaclient feels like it should be RDO-only https://bugzilla.redhat.com/show_bug.cgi?id=1414516#c1

Comment 5 Haïkel Guémar 2017-02-07 13:30:54 UTC
Done


Note You need to log in before you can comment on or make changes to this bug.